# Uses of Class
net.shibboleth.idp.authn.AuthenticationFlowDescriptor

Packages that use AuthenticationFlowDescriptor
Package
Description
net.shibboleth.idp.authn
APIs related to the authentication of a subject.
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of AuthenticationFlowDescriptor in net.shibboleth.idp.authn

Methods in net.shibboleth.idp.authn with parameters of type AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`Duration`
AuthenticationResult.`getResultLifetime(AuthenticationFlowDescriptor flow)`
Get the effective lifetime policy for the result based on the provided flow descriptor.
`Duration`
AuthenticationResult.`getResultTimeout(AuthenticationFlowDescriptor flow)`
Get the effective timeout policy for the result based on the provided flow descriptor.

## Uses of AuthenticationFlowDescriptor in net.shibboleth.idp.authn.context

Fields in net.shibboleth.idp.authn.context declared as AuthenticationFlowDescriptor
Modifier and Type
Field
Description
`private AuthenticationFlowDescriptor`
AuthenticationContext.`attemptedFlow`
Authentication flow being attempted to authenticate the user.
`private AuthenticationFlowDescriptor`
MultiFactorAuthenticationContext.`mfaFlowDescriptor`
Login flow descriptor for the MFA flow.
Fields in net.shibboleth.idp.authn.context with type parameters of type AuthenticationFlowDescriptor
Modifier and Type
Field
Description
`private final Map<String,AuthenticationFlowDescriptor>`
AuthenticationContext.`availableFlows`
Flows that are known to the system.
`private final Map<String,AuthenticationFlowDescriptor>`
AuthenticationContext.`intermediateFlows`
Previously attempted flows (could be failures or intermediate results).
`private final Map<String,AuthenticationFlowDescriptor>`
AuthenticationContext.`potentialFlows`
Flows that could potentially be used to authenticate the user.
Methods in net.shibboleth.idp.authn.context that return AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`AuthenticationFlowDescriptor`
AuthenticationContext.`getAttemptedFlow()`
Get the authentication flow that was attempted in order to authenticate the user.
`AuthenticationFlowDescriptor`
MultiFactorAuthenticationContext.`getAuthenticationFlowDescriptor()`
Get the `AuthenticationFlowDescriptor` representing the MFA flow.
Methods in net.shibboleth.idp.authn.context that return types with arguments of type AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`Map<String,AuthenticationFlowDescriptor>`
AuthenticationContext.`getAvailableFlows()`
Get the set of flows known to the system overall.
`Map<String,AuthenticationFlowDescriptor>`
AuthenticationContext.`getIntermediateFlows()`
Get the set of flows that have been executed, successfully or otherwise, without producing a completed result.
`Map<String,AuthenticationFlowDescriptor>`
AuthenticationContext.`getPotentialFlows()`
Get the set of flows that could potentially be used for authentication.
Methods in net.shibboleth.idp.authn.context with parameters of type AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`AuthenticationContext`
AuthenticationContext.`setAttemptedFlow(AuthenticationFlowDescriptor flow)`
Set the authentication flow that was attempted in order to authenticate the user.
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setAuthenticationFlowDescriptor(AuthenticationFlowDescriptor descriptor)`
Set the `AuthenticationFlowDescriptor` representing the MFA flow.

## Uses of AuthenticationFlowDescriptor in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl with type parameters of type AuthenticationFlowDescriptor
Modifier and Type
Field
Description
`private Collection<AuthenticationFlowDescriptor>`
PopulateAuthenticationContext.`availableFlows`
All of the known flows in the system.
`private Function<ProfileRequestContext,Collection<AuthenticationFlowDescriptor>>`
PopulateAuthenticationContext.`potentialFlowsLookupStrategy`
Lookup function for the flows to make available for possible use.
Methods in net.shibboleth.idp.authn.impl that return AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`AuthenticationFlowDescriptor`
RemoteUserAuthServlet.`getAuthenticationFlowDescriptor(String key, HttpServletRequest httpRequest)`
Get the executing `AuthenticationFlowDescriptor`.
`private AuthenticationFlowDescriptor`
SelectAuthenticationFlow.`getUnattemptedInactiveFlow(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext)`
Return the first inactive potential flow not found in the intermediate flows collection that applies to the request.
Methods in net.shibboleth.idp.authn.impl with parameters of type AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`Principal`
RemoteUserAuthServlet.`getPrincipal(AuthenticationFlowDescriptor descriptor, String method)`
Locate a custom `Principal` matching a string, supported by the flow descriptor.
`private void`
SelectAuthenticationFlow.`selectInactiveFlow(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, AuthenticationFlowDescriptor descriptor)`
Selects an inactive flow and completes processing.
Method parameters in net.shibboleth.idp.authn.impl with type arguments of type AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`void`
PopulateAuthenticationContext.`setAvailableFlows(Collection<AuthenticationFlowDescriptor> flows)`
Set the flows known to the system.
`void`
PopulateAuthenticationContext.`setPotentialFlowsLookupStrategy(Function<ProfileRequestContext,Collection<AuthenticationFlowDescriptor>> strategy)`
Set the lookup strategy for the flows to make available for use (a subset of the available ones).
Constructor parameters in net.shibboleth.idp.authn.impl with type arguments of type AuthenticationFlowDescriptor
Modifier
Constructor
Description
``
`AuthenticationFlowDescriptorManager(List<AuthenticationFlowDescriptor> freeObjects)`
Constructor.

## Uses of AuthenticationFlowDescriptor in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl with type parameters of type AuthenticationFlowDescriptor
Modifier and Type
Field
Description
`private final Map<String,AuthenticationFlowDescriptor>`
StorageBackedSessionManager.`flowDescriptorMap`
Flows that could potentially be used to authenticate the user.
Methods in net.shibboleth.idp.session.impl that return AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`AuthenticationFlowDescriptor`
StorageBackedSessionManager.`getAuthenticationFlowDescriptor(String flowId)`
Get a matching `AuthenticationFlowDescriptor`.
Method parameters in net.shibboleth.idp.session.impl with type arguments of type AuthenticationFlowDescriptor
Modifier and Type
Method
Description
`void`
StorageBackedSessionManager.`setAuthenticationFlowDescriptors(Iterable<AuthenticationFlowDescriptor> flows)`
Set the `AuthenticationFlowDescriptor` collection active in the system.